# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtWebEngine
%define sip_ver 1:4.19.19
%define qt5_minver 5.15.2

Name:           python-qt5-webengine
Version:        5.15.2
Release:        %mkrel 1
Summary:        Set of Python bindings for The Qt WebEngine library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtwebengine/
#https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        http://pypi.io/packages/source/p/pyqtwebengine/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3-sip-devel >= %{sip_ver}
BuildRequires:  python3-pyqt5-sip >= %{sip_ver}

BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Gui) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5WebEngine) >= %{qt5_minver}

%description
PyQtWebEngine is a set of Python bindings for The Qt Company's Qt WebEngine
library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-webengine
Summary:        Python 3 bindings for PyQt 5 webengine
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webengine
Python 3 bindings for PyQt 5 webengine.

%files -n %{py3_name}-webengine
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtWebEngine.so
%{python3_sitearch}/PyQt5/QtWebEngine.py*
%{python3_sitearch}/PyQtWebEngine-%{version}.dist-info
%{_datadir}/python3-sip/PyQt5/QtWebEngine

#------------------------------------------------------------

%package -n     %{py3_name}-webenginecore
Summary:        Python 3 bindings for PyQt 5 webenginecore
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 5 webenginecore.

%files -n %{py3_name}-webenginecore
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtWebEngineCore.so
%{python3_sitearch}/PyQt5/QtWebEngineCore.py*
%{_datadir}/python3-sip/PyQt5/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py3_name}-webenginewidgets
Summary:        Python 3 bindings for PyQt 5 webenginewidgets
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginecore = %{version}-%{release}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 5 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.so
%{python3_sitearch}/PyQt5/QtWebEngineWidgets.py*
%{_datadir}/python3-sip/PyQt5/QtWebEngineWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-webengine-qsci-api
Summary:       Python 3 bindings for PyQt 5 webengine Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-webengine-qsci-api
Python 3 bindings for PyQt 5 webengine Qscintilla API.

%files -n %{py3_name}-webengine-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtWebEngine.api

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
%{__python3} ./configure.py \
  --pyqt-sipdir=%{_datadir}/python3-sip/PyQt5 \
  --qmake="%{_qt5_bindir}/qmake" \
  --debug \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot}

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652958
- New version 5.15.2

* Tue Nov 03 2020 akien <akien> 5.15.1-2.mga8
+ Revision: 1642215
- webenginewidgets requires webenginecore

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625558
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599179
- rebuild with sip 4.19.23

* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590449
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545941
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485531
- New version 5.14.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1441173
- new version: 5.13.1

* Wed Sep 11 2019 tv <tv> 5.13.0-2.mga8
+ Revision: 1439709
- drop last py2
+ daviddavid <daviddavid>
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424690
- New version 5.13.0

* Sat Jul 27 2019 daviddavid <daviddavid> 5.12.1-3.mga8
+ Revision: 1424611
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12.1-2.mga7
+ Revision: 1384123
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1379651
- new version: 5.12.1

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366956
- initial package python-qt5-webengine

